package software-center 16.01+16.04.20160420 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 1

Bug #1584339 reported by Hemanth Kumar Veeranki on 2016-05-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Undecided
Unassigned

Bug Description

I dont know why. But since the last update the software center is failing. I think the problem is mainly due to python-samba. I feel like their scripts are made in python2.7 and default python being 3.5 in ubuntu 16.04 makes it unable to upgrade and crash other applications

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: software-center 16.01+16.04.20160420
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
Date: Fri May 20 14:22:23 2016
ErrorMessage: subprocess installed pre-removal script returned error exit status 1
InstallationDate: Installed on 2016-01-24 (117 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
PackageArchitecture: all
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt 1.2.10ubuntu1
SourcePackage: software-center
Title: package software-center 16.01+16.04.20160420 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 1
UpgradeStatus: Upgraded to xenial on 2016-04-28 (22 days ago)

Hemanth Kumar Veeranki (harry7) wrote :

Thank you for taking the time to report this crash and helping to make this software better. This particular crash has already been reported and is a duplicate of bug #1584335, so is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

tags: removed: need-duplicate-check
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers